Skip to main content
`Ctrl`+`K`

# PCMGSetCycleTypeOnLevel

Sets the type of cycle (aka cycle index) to run on the specified level.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetCycleTypeOnLevel(PC pc, PetscInt l, PCMGCycleType c)

Logically Collective

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest)

- c - either `PC_MG_CYCLE_V` or `PC_MG_CYCLE_W`

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGCycleType`, `PCMGSetCycleType()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages